<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2021 PSMForums. All rights reserved.
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:paddingHorizontal="16dp"
    android:paddingVertical="8dp"
    android:orientation="vertical"
    android:animateLayoutChanges="true"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <CheckBox
            android:id="@+id/check_box"
            android:layout_marginEnd="24dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <TextView
            android:id="@+id/title_text_view"
            style="@style/HeadlineItemText"
            tools:text="Title"
            android:maxLines="1"
            android:ellipsize="end"
            android:gravity="center"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"/>

        <TextView
            android:id="@+id/url_text_view"
            android:textAppearance="@style/TextAppearance.AppCompat.Body1"
            tools:text="website.com/feed"
            android:layout_marginStart="8dp"
            android:maxLines="1"
            android:ellipsize="end"
            android:gravity="center"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"/>

    </LinearLayout>

    <TextView
        android:id="@+id/category_text_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="56dp"
        tools:text="Category"/>

</LinearLayout>